const { injectBabelPlugin, compose } = require('react-app-rewired');
const rewireCssModules = require('react-app-rewire-css-modules');
const rewireLess = require('react-app-rewire-less');


module.exports = compose(
  rewireCssModules,
)

module.exports = function override(config, env) {

  const rewires = compose(
    // rewireCssModules,
    rewireLess
  );

  config = injectBabelPlugin(['import', { libraryName: 'antd', libraryDirectory: 'es', style: 'css' }], config);
  return rewires(config, env);
};